using System;

namespace ConsoleApp2
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int N, M;
            string[] s=Console.ReadLine().Split(' ');
            N=int.Parse(s[0]);
            M=int.Parse(s[1]);
            int br = 0;
            for (int i = 0; i < N; i++)
            {
                for (int j = 0; j < M; j++)
                {
                    if (i == 0)
                    {
                        br++;
                    }
                    else if (i == N - 1)
                    {
                        br++;
                    }
                    else
                    {
                        if (j == 0 || j==M-1)
                        {
                            br++;
                        }
                        else if ((i%2==0 && j%2==1)||(i%2==1 && j%2==0))
                        {
                            br++;
                        }
                    }
                }
            }
            Console.WriteLine(br);
        }
    }
}